### Method

# GLib StaticRWLock reader_lock

deprecated: 2.32

#### Declaration [src]

    void
    g_static_rw_lock_reader_lock (
      GStaticRWLock* lock
    )

#### Description [src]

Locks `lock` for reading. There may be unlimited concurrent locks for reading of a `GStaticRWLock` at the same time. If `lock` is already locked for writing by another thread or if another thread is already waiting to lock `lock` for writing, this function will block until `lock` is unlocked by the other writing thread and no other writing threads want to lock `lock`. This lock has to be unlocked by g_static_rw_lock_reader_unlock().

`GStaticRWLock` is not recursive. It might seem to be possible to recursively lock for reading, but that can result in a deadlock, due to writer preference.

Deprecated since: 2.32

Use `g_rw_lock_reader_lock()` instead.

This method is not directly available to language bindings.